Magick::WarningConfigure Class Reference

`#include <Exception.h>`

Inheritance diagram for Magick::WarningConfigure:
[legend]
Collaboration diagram for Magick::WarningConfigure:
[legend]

## Public Member Functions

| WarningConfigure (const std::string &what_)
| WarningConfigure (const std::string &what_, Exception *nested_)
| ~WarningConfigure () throw ()
Public Member Functions inherited from Magick::Warning
| Warning (const std::string &what_)
| Warning (const std::string &what_, Exception *nested_)
| ~Warning () throw ()
Public Member Functions inherited from Magick::Exception
| Exception (const std::string &what_)
| Exception (const std::string &what_, Exception *nested_)
| Exception (const Exception &original_)
virtual | ~Exception () throw ()
Exception & | operator= (const Exception &original_)
virtual const char * | what () const throw ()
const Exception * | nested () const throw ()
void | nested (Exception *nested_) throw ()

## Detailed Description

Definition at line 270 of file Exception.h.

## Constructor & Destructor Documentation

## WarningConfigure() [1/2]

Magick::WarningConfigure::WarningConfigure | ( | const std::string & | what_ | ) |

explicit

Definition at line 433 of file Exception.cpp.

## WarningConfigure() [2/2]

Magick::WarningConfigure::WarningConfigure | ( | const std::string & | what_,
|  | Exception * | nested_
| ) |  |

explicit

Definition at line 438 of file Exception.cpp.

## ~WarningConfigure()

Magick::WarningConfigure::~WarningConfigure | ( |  | ) |
throw | ( |
| ) |  |

Definition at line 444 of file Exception.cpp.

The documentation for this class was generated from the following files:

- Exception.h
- Exception.cpp